Shares
Public or password-protected read-only links to a note.
The share object
| Field | Type | Description |
|---|---|---|
id | string | Unique identifier, prefixed with sh_. |
note_id required | string | Shared note. |
url | string | Public link. |
password_protected | boolean | Whether a password is required. |
expires_at | timestamp|null | Optional expiry. |
created_at | timestamp | Creation time, RFC 3339 in UTC. |
Example
{
"id": "sh_8f3k2Q9xLm",
"note_id": "nt_8f3k2Q9xLm",
"url": "https://share.axnode.net/s/8f3k2Q9x",
"password_protected": false,
"expires_at": null,
"created_at": "2026-09-14T08:21:07Z"
}GET /shares
List shares. Returns a paginated list of shares.
Query parameters
| Field | Type | Description |
|---|---|---|
limit | integer | Page size, 1–100. Default 25. |
cursor | string | Cursor from the previous page. |
sort | string | Field to sort by, prefix - for descending. |
filter | string | Filter expression, see Filtering and sorting. |
Request
curl -X GET "https://api.axnode.net/v2/shares" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/shares', {
method: 'GET',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.get(
'https://api.axnode.net/v2/shares',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"data": [
{
"id": "sh_8f3k2Q9xLm",
"note_id": "nt_8f3k2Q9xLm",
"url": "https://share.axnode.net/s/8f3k2Q9x",
"password_protected": false,
"expires_at": null,
"created_at": "2026-09-14T08:21:07Z"
}
],
"has_more": false,
"next_cursor": null
}POST /shares
Create a share. Creates a share.
Body parameters
| Field | Type | Description |
|---|---|---|
note_id required | string | Shared note. |
url | string | Public link. |
password_protected | boolean | Whether a password is required. |
expires_at | timestamp|null | Optional expiry. |
Request
curl -X POST "https://api.axnode.net/v2/shares" \
-H "Authorization: Bearer $AXSYNC_TOKEN" \
-H "Content-Type: application/json" \
-d '{"note_id": "nt_8f3k2Q9xLm"}'const res = await fetch('https://api.axnode.net/v2/shares', {
method: 'POST',
headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
body: JSON.stringify({"note_id": "nt_8f3k2Q9xLm"})
});
const data = await res.json();import requests
res = requests.post(
'https://api.axnode.net/v2/shares',
headers={'Authorization': f'Bearer {token}'}, json={"note_id": "nt_8f3k2Q9xLm"},
)
data = res.json()Response 201
{
"id": "sh_8f3k2Q9xLm",
"note_id": "nt_8f3k2Q9xLm",
"url": "https://share.axnode.net/s/8f3k2Q9x",
"password_protected": false,
"expires_at": null,
"created_at": "2026-09-14T08:21:07Z"
}GET /shares/{id}
Retrieve a share. Retrieves a share by its identifier.
Request
curl -X GET "https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm', {
method: 'GET',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.get(
'https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"id": "sh_8f3k2Q9xLm",
"note_id": "nt_8f3k2Q9xLm",
"url": "https://share.axnode.net/s/8f3k2Q9x",
"password_protected": false,
"expires_at": null,
"created_at": "2026-09-14T08:21:07Z"
}PATCH /shares/{id}
Update a share. Updates fields of a share. Only supplied fields change.
Body parameters
| Field | Type | Description |
|---|---|---|
note_id required | string | Shared note. |
url | string | Public link. |
password_protected | boolean | Whether a password is required. |
expires_at | timestamp|null | Optional expiry. |
Request
curl -X PATCH "https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN" \
-H "Content-Type: application/json" \
-d '{"note_id": "nt_8f3k2Q9xLm"}'const res = await fetch('https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm', {
method: 'PATCH',
headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
body: JSON.stringify({"note_id": "nt_8f3k2Q9xLm"})
});
const data = await res.json();import requests
res = requests.patch(
'https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'}, json={"note_id": "nt_8f3k2Q9xLm"},
)
data = res.json()Response 200
{
"id": "sh_8f3k2Q9xLm",
"note_id": "nt_8f3k2Q9xLm",
"url": "https://share.axnode.net/s/8f3k2Q9x",
"password_protected": false,
"expires_at": null,
"created_at": "2026-09-14T08:21:07Z"
}DELETE /shares/{id}
Delete a share. Permanently deletes a share. This cannot be undone.
Request
curl -X DELETE "https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm', {
method: 'DELETE',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.delete(
'https://api.axnode.net/v2/shares/sh_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"deleted": true,
"id": "sh_8f3k2Q9xLm"
}